<!DOCTYPE html>
<html>

<head>
	<meta charset="UTF-8">
	<style>
		body {
			font-family: Helvetica;
		}

		table {
			border-collapse: collapse;
		}

		tr:nth-child(even) {
			background: #aaa;
		}

		td {
			margin: 5px;
			padding: 5px;
			border-top: 1px solid black;
			border-left: 1px solid black;
		}

		td:first-child {
			border-left: none;
		}

		caption {
			font-weight: 1.2em;
			font-size: 1.2em;
		}
	</style>
	<title>404</title>
</head>

<body>
	<h1>error 404 : page not found</h1>
	<table>
		<caption>Usage:</h1>
			<thead>
				<th>url</th>
				<th>description</th>
			</thead>
			<tbody>
				<tr>
					<td>/api/photos/:name</td>
					<td>request picture</td>
				</tr>
				<tr>
					<td>/api/equipement/list</td>
					<td>request list of equipement</td>
				</tr>
				<tr>
					<td>/api/defaut/list</td>
					<td>request list of defaut</td>
				</tr>
				<tr>
					<td>/api/equipement/query/:type/:name</td>
					<td>
						<table>
							<thead>
								<tr>
									<th>type</th>
									<th>description</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>domaine</td>
									<td>return equipement that match domain</td>
								</tr>
								<tr>
									<td>annee</td>
									<td>return equipement that match year</td>
								</tr>
								<tr>
									<td>batiment</td>
									<td>return equipement that match building name</td>
								</tr>
								<tr>
									<td>nom</td>
									<td>return equipement that match name</td>
								</tr>
								<tr>
									<td>marque</td>
									<td>return equipement that match brand</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
				<tr>
					<td>/api/equipement/query/domaine/:domaine</td>
					<td>request equipement that match 'domaine'</td>
				</tr>
				<tr>
					<td>/api/equipement/query/nb/:id</td>
					<td>request the number of defaut of equipement that match 'id'</td>
				</tr>
				<tr>
					<td>/api/defaut/query/id/:id</td>
					<td>request dafaut that their id are link with equipement of id 'id'</td>
				</tr>
			</tbody>
	</table>
	<p>be aware for all request excepted photo, nb, id</p>
</body>

</html>
